% PS01-48x240F-SSC 
[D
	/Caption 'PS01-48x240F-SSC'
	/Type 'Actuator Definition File'
	/Version 25
	/MinMCSubVersionR6 0		% This File requires MS SW Parameter Tree Version 6.0 or higher  (for release 6 firmware)
	
	%************************************************************************************************* 	
	
	/WizardPages [A
		[D	
			/PageID		0			%Actuator Selection
			/PageInfo	[A  	  	
				[D /Name 'Stator_Name' /CapitalLetters #1]     
				[D /Name 'Stator_ArtNr' /Tabs 1 /Visible 'Not_On_Error' ] 
				[D /Name 'Complete_Stator_Length' /Tabs 1 /Visible 'Not_On_Error' ] 
				[D /Name 'Complete_Stator_Mass' /Tabs 1 /Visible 'Not_On_Error' ]  
				[D /Name 'Slider_Name' /CapitalLetters #1]
				[D /Name 'Slider_ArtNr' /Tabs 1 /Visible 'Not_On_Error' ]  
				[D /Name 'Slider_Length' /Tabs 1 /Visible 'Not_On_Error' ]  
				[D /Name 'Slider_Mass' /Tabs 1 /Visible 'Not_On_Error' ]  
				[D /Name 'Motor_Name' /CapitalLetters #1 /Visible 'Not_On_Error' ] 
				[D /Name 'Maximal_Stroke' /Tabs 1 /Visible 'Not_On_Error'   /VisEnuParName 'BearingType' /VisEnuParValue 0 ]  
				[D /Name 'Shortened_Stroke' /Tabs 1 /Visible 'Not_On_Error' ]  
				[D /Name 'Zero_Position' /Tabs 1 /Visible 'Not_On_Error' /VisEnuParName 'BearingType' /VisEnuParValue 0 ]  
				[D /Name 'Force_Constant' /Tabs 1 /Visible 'Not_On_Error' ]  
				[D /Name 'RelativeEdgeForce' /Tabs 1 /Visible 'Not_On_Error'  /VisEnuParName 'BearingType' /VisEnuParValue 0 ] 
				[D /Name 'BearingType' /CapitalLetters #1]     
				[D /Name 'BearingLength' /Tabs 1 /Visible 'Not_On_Error' ] 
				[D /Name 'BearingMass' /Tabs 1 /Visible 'Not_On_Error' ] 
			]
		]
		[D	
			/PageID		19			%Controller Settings
			/PageInfo	[A  	  	
			]
		]			
		[D	
			/PageID		2			%Extension Cable Setup
			/PageInfo	[A  	  	
				[D /Name 'Coil_Resistance' ]	
				[D /Name 'Ext_Cable_Resistance'   ]
				[D /Name 'Total_Resistance' ]
			]
		]
		[D	
			/PageID		3			%External Position Sensor System			
			/VisibleIfParsExisting [A
				'ExtSensor_Type'	
			]
			/PageInfo	[A
			]	
		]
		[D	
			/PageID		4			%Feed Forward Parameters
			/PageInfo	[A  
				[D /Name 'TotalMoved_Mass' ]      	     	
				[D /Name 'GravitaionForce' /Tabs 1]
				[D /Name 'SignedExtConstForce' /Tabs 1]
				[D /Name 'SumOfConstForces' ]
				[D /Name 'FF_ConstForce_SetA' ]
				[D /Name 'FF_Friction_SetA']
				[D /Name 'FF_Damping_SetA']
				[D /Name 'FF_Acceleration_SetA' ]
			]	  		
		]
		[D	
			/PageID		5			%PID Position Controller
			/PageInfo	[A  
				[D /Name 'P_Gain_SetA' ]    
				[D /Name 'D_Gain_SetA' ]    
				[D /Name 'I_Gain_SetA' ]    
				[D /Name 'IntegratorLimit_SetA' ]    
				[D /Name 'MaxCurrent_SetA' ]    
				[D /Name 'NoiseDeadBandSetA' ]	     	
			]		
		]
		[D	
			/PageID		6			%Homing I
			/PageInfo	[A  
			]
		]
		[D	
			/PageID		7			%Homing II
			/PageInfo	[A  
				[D  /Name 'DistanceA' /Visible 'Only_On_Error' ]		
				[D  /Name 'DistanceB' /Visible 'Only_On_Error' ]			     	
				[D  /Name 'HomeConf_SliderHomePosition' /Visible 'Not_On_Error' ]		
			]
		]
		[D	
			/PageID		8			%Homing III
			/PageInfo	[A  
				[D 	/Name 'Minimal_Position'	/Visible 'Not_On_Error' ]
				[D  /Name 'Maximal_Position'	/Visible 'Not_On_Error'	]   
				[D  /Name 'InitialPosConf_Position' /Visible 'Only_On_Error' ] 	 	     	
				[D  /Name 'DistanceC' /Visible 'Not_On_Error' ]		
				[D  /Name 'DistanceD' /Visible 'Not_On_Error' ]			     	
			]
		]
	]	
	
	/WizardValues [A      
		[D
			/Name 'Actuator_Type'
			/Caption 'Actuator Type'
			/Type 'INTEGER'
			/Value 1 
		]	   			
		[D
			/Name 'Motor_PreName'
			/Caption 'Motor'
			/Type 'STRING'
			/Value 'P01-48x240F@/' 
		]	   	
		[D
			/Name 'Motor_Name'
			/CaptionKeyWord 'Motor'
			/ShowWithCompanyPrefix #1									
			/Type 'STRING'
			/Value '' 
		]	
		[D
			/Name 'Motor_Name_Extension'
			/Caption 'Motor Name Extension'
			/Type 'STRING'
			/Value '' 
		]	   	   	   	 	
		[D
			/Name 'Motor_Name_SD_Extension'
			/Caption 'Motor Name Extension'
			/Type 'STRING'
			/Value '' 
		]	   	   	   	   	   	   	
		[D
			/Name 'Stator_Name'
			/CaptionKeyWord 'Stator'
			/ShowWithCompanyPrefix #1									
			/Type 'STRING'
			/Value '' 
		]	   	
		[D
			/Name 'Slider_Name'
			/CaptionKeyWord 'Slider'
			/ShowWithCompanyPrefix #1									
			/Type 'STRING'
			/Value '' 
		]	   	
		[D
			/Name 'Stator_Length'
			/CaptionKeyWord 'Stator_Length'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 5
		]	   	   	
		[D
			/Name 'Complete_Stator_Length'
			/CaptionKeyWord 'Stator_Length'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 5
		]	   			   	
		[D
			/Name 'Complete_Stator_Mass'
			/CaptionKeyWord 'Stator_Mass'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 8
		]	   		   	   	
		[D
			/Name 'Complete_Stator_EndPieceLength'
			/Caption 'Stator End Piece Length'
			/Type 'DOUBLE'
			/Value 0.02 
			/UUID 5
		]	   		   	   	
		[D
			/Name 'Stator_ActiveLength'
			/Caption 'Stator Active Length'
			/Type 'DOUBLE'
			/Value 0.24 
			/UUID 5
		]	   		   	
		[D
			/Name 'Stator_ArtNr'
			/CaptionKeyWord 'Article_Number'
			/ShowWithCompanyPrefix #1									
			/Type 'STRING'
			/Value '0150-1220' 
		]	   	
		[D
			/Name 'Stator_EndPieceLength'
			/Caption 'Stator End Piece Length'
			/Type 'DOUBLE'
			/Value 0.022 
			/UUID 5
		]	   		   	
		[D
			/Name 'Stator_Mass'
			/CaptionKeyWord 'Stator_Mass'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 8
		]	   		   	
		[D
			/Name 'Stator_SensorLength'
			/Caption 'Stator Sensor Length'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 5
		]	   		   	
		[D
			/Name 'Slider_Length'
			/CaptionKeyWord 'Slider_Length'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 5
		]	   	
		[D
			/Name 'Slider_ActiveLength'
			/Caption 'Slider Active Length'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 5
		]	   		   	
		[D
			/Name 'Slider_ArtNr'
			/CaptionKeyWord 'Article_Number'
			/ShowWithCompanyPrefix #1									
			/Type 'STRING'
			/Value '' 
		]
		[D
			/Name 'RelativeEdgeForce'
			/CaptionKeyWord 'EdgeForce'
			/Type 'Double'
			/Value 0.0
			/UUID 1
		]	   		   	
		[D
			/Name 'Coil_TempCoeff'
			/Caption 'Coil Temperature Coefficent'
			/Type 'DOUBLE'
			/Value 0.0039  
			/UUID 0
		]	   		   	
		[D
			/Name 'Slider_Mass'
			/CaptionKeyWord 'Slider_Mass'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 8
		]	   		   	
		[D
			/Name 'Slider_EndPieceLength'
			/Caption 'Slider End Piece Length'
			/Type 'DOUBLE'
			/Value 0.024
			/UUID 5
		]	   		   	
		[D
			/Name 'Slider_EndPieceWeldLength'
			/Caption 'Slider End Piece Weld Length'
			/Type 'DOUBLE'
			/Value 0.0125
			/UUID 5
		]	   		   	
		[D
			/Name 'Slider_PolePitch'
			/Caption 'Slider Pole Pitch'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 5
		]	   		   	
		[D
			/Name 'Motor_FactorPerPolePitch'
			/Caption 'Motor Factor Per Pole Pitch'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 0
		]	   		   	
		[D
			/Name 'Flange_ArtNr'
			/CaptionKeyWord 'Article_Number'
			%/Caption 'Flange Article Number'
			/Type 'STRING'
			/Value '' 
		]
		[D
			/Name 'Flange_Mass'
			/CaptionKeyWord 'Flange_Mass'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 8
		]
		[D
			/Name 'Total_Resistance'
			/CaptionKeyWord 'Total_Resistance'
			/Type 'Double'
			/Value 0.0
			/UUID 15
		]	   		   	      
		[D
			/Name 'TotalMoved_Motor_Mass'
			/Caption 'Total Moved Motor Mass'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 8
		]
		[D 
			/Name 'SignedExtConstForce' 
			/CaptionKeyWord 'Constant_Force'
			/Type 'DOUBLE'
			/Value 0.0
			/UUID 9		
		]
		[D 
			/Name 'GravitaionForce' 
			/CaptionKeyWord 'MotorGravitationForce'
			/Type 'DOUBLE'
			/Value 0.0
			/UUID 9		
		]
		[D 
			/Name 'SumOfConstForces' 
			/CaptionKeyWord 'Sum_of_Constant_Forces'
			/Type 'DOUBLE'
			/Value 0.0
			/UUID 9		
		]   
		[D
			/Name 'TotalMoved_Mass'
			/CaptionKeyWord 'Total_Moving_Mass'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 8
		]
		[D
			/Name 'P_GainSoft'
			/Caption 'Default P Gain'
			/Type 'DOUBLE'
			/Value 3000.0 
			/UUID 18
		]
		[D
			/Name 'D_GainSoft'
			/Caption 'Default D Gain'
			/Type 'DOUBLE'
			/Value 5.0 
			/UUID 19
		]
		[D
			/Name 'I_GainSoft'
			/Caption 'Default I Gain'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 20
		]
		[D
			/Name 'P_GainStiff'
			/Caption 'Default P Gain Stiff'
			/Type 'DOUBLE'
			/Value 7500.0 
			/UUID 18
		]
		[D
			/Name 'D_GainStiff'
			/Caption 'Default D Gain Stiff'
			/Type 'DOUBLE'
			/Value 12.5 
			/UUID 19
		]
		[D
			/Name 'I_GainStiff'
			/Caption 'Default I Gain Stiff'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 20
		]
		% EXTENSION CABLE
		[D
			/Name 'Cable1_Resistivity'
			/Caption 'Cable1 Resistivity'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 39
		]	   		   	
		[D
			/Name 'Cable2_Resistivity'
			/Caption 'Cable2 Resistivity'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 39   		
		]	   		   	
		[D
			/Name 'Cable1_Resistivity_Gen'
			/Caption 'Cable1 Resistivity Generic'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 39
		]	   		   	
		[D
			/Name 'Cable2_Resistivity_Gen'
			/Caption 'Cable2 Resistivity Generic'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 39   		
		]	   		   	
		% Homing
		[D
			/Name 'DistanceA'
			/CaptionKeyWord 'Distance_A'
			/Type 'DOUBLE'
			/Value 0.01 
			/UUID 5
			/OnChange [A 
				[D /Name 'SetDistanceA' ]				
			]  		
		]	   	
		[D
			/Name 'DistanceB'
			/CaptionKeyWord 'Distance_B'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 5   		
			/OnChange [A 
				[D /Name 'SetDistanceB' ]				
			]  		   		
		]	   	
		[D
			/Name 'DistanceC'
			/CaptionKeyWord 'Distance_C'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 5
		]	   	
		[D
			/Name 'DistanceD'
			/CaptionKeyWord 'Distance_D'
			/Type 'DOUBLE'
			/Value 0.0 
			/UUID 5   		
		]	   	
	]
	
	%************************************************************************************************* 	
	
	/MCParameters [A
		[D              	   	   
			/Name 'PlugAndPlay'   	
			/TreeUPID 112
			/StartWithTreeValue #1
			/Type 'ENUM'
			/OnChange [A  ]
			/ENumDef [A
				[D
					/Value 0
					/OnSelect [A	]								
				]																											
				[D
					/Value 1
					/OnSelect [A	]								
				]																											
				[D
					/Value 2
					/OnSelect [A	]								
				]																											
			]																		   		 	   	
		]
		[D
			/Name 'StatorInfoBlock_ArtNr'
			/TreeUPID 6276
			/Type 'ENUM'
		]
		[D
			/Name 'Phase_Switch_On_Test_Low_Level'
			/TreeUPID 4140
			/Type 'DOUBLE'
		]
		[D
			/Name 'Phase_Switch_On_Test_High_Level'
			/TreeUPID 4141
			/Type 'DOUBLE'
		]
		[D
			/Name 'Phase_Switch_On_Test_Max_InCurrent'
			/TreeUPID 4142
			/Type 'DOUBLE'
		]
		[D              	   	   
			/Name 'Motor_Type'   	
			/TreeUPID 4500
			/Type 'ENUM'
			/DefValue 2
			/OnChange [A  ]
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'No Motor'					
					/OnSelect [A	]								
				]																											
				[D
					/Value 1
					%/Caption 'Generic'					
					/OnSelect [A	]								
				]																											
				[D
					/Value 2
					%/Caption 'P01'					
					/OnSelect [A	]								
				]																											
			]																		   		 	   	
		]
		[D
			/Name 'ADF_Name'
			/TreeUPID 6220 
			/Type 'STRING'
			/DefValue 'PS01-48x240F-SSC'
		]   	
		[D
			/Name 'MDF_Name'
			/TreeUPID 6255 
			/Type 'STRING'
		]   	
		[D
			/Name 'Stator_Type_Code'
			/TreeUPID 4613 
			/Type 'DOUBLE'
			/DefValue 9.0 	   		   		   	   	
		]   	
		[D
			/Name 'Coil_Resistance'
			/CaptionKeyWord 'Phase_Resistance'
			/TreeUPID 4511 
			/Type 'DOUBLE'
			/DefValue 0.95 	   		   		   	   	
		]
		[D
			/Name 'Coil_Resistance_Definition_Temp'
			/TreeUPID 4619 
			/Type 'DOUBLE'
		]   	   	
		[D
			/Name 'Coil_Inductivity'
			/TreeUPID 4512 
			/Type 'DOUBLE'
			/DefValue 0.0011 	 	   		   		   	   	
		]	   		   	
		[D
			/Name 'Force_Constant'
			/CaptionKeyWord 'Force_Constant'   		
			/TreeUPID 4513 
			/Type 'DOUBLE'
		]
		[D
			/Name 'EdgeForce_Constant'
			/CaptionKeyWord 'EdgeForce_Constant'
			/TreeUPID 4517 
			/Type 'DOUBLE'
		]
		[D
			/Name 'Zero_Position'
			/CaptionKeyWord 'Zero_Position'
			/TreeUPID 4514 
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'Shortened_Stroke'
			/CaptionKeyWord 'Shortened_Stroke'  		
			/TreeUPID 4515 
			/Type 'DOUBLE'
		]
		[D
			/Name 'Maximal_Stroke'
			/CaptionKeyWord 'Maximal_Stroke'
			/TreeUPID 4516 
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'Maximal_Current'
			/TreeUPID 4510 
			/Type 'DOUBLE'
			/DefValue 26.0 	   		   		   	
			/OnChange [A
				[D /Name 'CalculateControlParameters' ]
			]	
		]	   		   	
		[D
			/Name 'Maximal_Motor_Supply_Voltage'
			/TreeUPID 4519
			/Type 'DOUBLE'
		]	   		   	
		
		
		% FEEDBACK SELECTION BEGIN
		[D
			/Name 'Feedback_Selection'
			/TreeUPID 5010
			/Type 'ENUM'
			/StartWithTreeValue #1
			/OnChange [A ]  
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'Feedback on X3 Sensor'					
					/OnSelect [A ]
				]																											
				[D
					/Value 1
					%/Caption 'Feedback on X12 Sensor'					
					/OnSelect [A ]
				]																											
			]	
		]      	   		   		   	  	      	   	
		[D
			/Name 'Double_Feedback_Check'
			/TreeUPID 4711 
			/Type 'ENum'
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'Disable'					
					/OnSelect [A ]
				]																											
				[D
					/Value 1
					%/Caption 'Enable'					
					/OnSelect [A ]
				]																											
			] 	   		   		   	
		]	   		   	
		[D
			/Name  'Maximal_Feedback_Difference'
			/TreeUPID 4710
			/Type 'DOUBLE'
		]
		% FEEDBACK SELECTION END   	
		
		% MOTOR SENSOR CONFIGURATION BEGIN
		[D
			/Name 'MotSen_Type'
			/TreeUPID 4570
			/Type 'ENum'
			/DefValue 2
			/ENumDef [A  
				[D
					/Value 0
					%/Caption 'No Sensor'					
					/OnSelect [A ]
				]																											
				[D
					/Value 1
					%/Caption 'Incremental AB encoder'					
					/OnSelect [A ]
				]																											
				[D
					/Value 2
					%/Caption 'Sine/Cosine sensor'					
					/OnSelect [A 
						[D /Name 'PosRec_PositionTolerance' /Value 0.015 ]
					]
				]																											
				[D
					/Value 3
					%/Caption 'Absolut sensor'					
					/OnSelect [A ]
				]																											
				[D
					/Value 4
					%/Caption 'Analog Absolut 0..5V'					
					/OnSelect [A ]
				]																											   		
			] 	   		   		   	
		]	   		   	   	
		[D
			/Name 'MotSen_Count_Direction'
			/TreeUPID 4571
			/Type 'ENum'
			/DefValue 1
			/ENumDef [A  
				[D
					/Value 0
					%/Caption 'Positive'					
					/OnSelect [A ]
				]																											
				[D
					/Value 1
					%/Caption 'Negative'					
					/OnSelect [A ]
				]																											
			] 	   		   		   	
		]	   		   	
		[D
			/Name 'MotSen_WaveForm_Table'
			/TreeUPID 4520 
			/Type 'ENum'
			/DefValue 1
			/ENumDef [A  
				[D
					/Value 0
					%/Caption 'None'					
					/OnSelect [A ]
				]																											
				[D
					/Value 1
					%/Caption 'IFFT Calculated'					
					/OnSelect [A ]
				]																											
				[D
					/Value 2
					%/Caption 'Custom'					
					/OnSelect [A ]
				]																											   	   		
			] 	   		   		   	
		]	   		   	
		[D
			/Name 'MotSen_FFT_C1'
			/TreeUPID 4521
			/Type 'DOUBLE'
			/DefValue 0.914612472  		   		   	
		]	   		   	
		[D
			/Name 'MotSen_FFT_C3'
			/TreeUPID 4522
			/Type 'DOUBLE'
			/DefValue -0.082		   		   	
		]	   		   	
		[D
			/Name 'MotSen_FFT_C5'
			/TreeUPID 4523
			/Type 'DOUBLE'
			/DefValue -0.0017089856   		   		   	
		]	   		   	
		[D
			/Name 'MotSen_FFT_C7'
			/TreeUPID 4524
			/Type 'DOUBLE'
			/DefValue 0.0020141616   		   		   	
		]	   		   	
		[D
			/Name 'MotSen_FFT_C9'
			/TreeUPID 4525
			/Type 'DOUBLE'
			/DefValue -0.0004882816   		   		   	
		]	   		   	
		[D
			/Name 'ArcTan_Table'
			/TreeUPID 4529
			/Type 'ENum'
			/DefValue 0
			/ENumDef [A  
				[D
					/Value 0
					%/Caption 'Calculated'					
					/OnSelect [A ]
				]																											
				[D
					/Value 2048
					%/Caption 'Custom'					
					/OnSelect [A ]
				]																											   		
			] 	   		   		   	
		]	   		   	
		[D
			/Name 'MotSen_Resolution'
			/TreeUPID 4572
			/Type 'DOUBLE'
			/DefValue 0.015 	   		   		   	
		]	   		   	
		[D
			/Name 'MotSen_SignalOffsetSine'
			/TreeUPID 4573
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'MotSen_SignalOffsetCosine'
			/TreeUPID 4574
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'MotSen_Relative_Cos_Gain'
			/TreeUPID 4579
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'MotSen_Hall_Distance_Err'
			/TreeUPID 4575
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'MotSen_SpeedFilterTime'
			/TreeUPID 4578
			/Type 'DOUBLE'
		]	   		   	
		% CROSS COUPLING
		[D
			/Name 'CrossCoupling_PH1_Sine'
			/TreeUPID 4580
			/DefValue -0.0055
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'CrossCoupling_PH1_Cosine'
			/TreeUPID 4581
			/DefValue 0.0
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'CrossCoupling_PH2_Sine'
			/TreeUPID 4582
			/DefValue 0.0
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'CrossCoupling_PH2_Cosine'
			/TreeUPID 4583
			/DefValue 0.0055
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'CrossCopling_SignalDelayTime'
			/TreeUPID 4755
			/Type 'DOUBLE'
		]	   		   	
		% MOTOR SENSOR CONFIGURATION END
		
		% MOTOR HALL SIGNAL BEGIN
		[D
			/Name 'Slider_Missing_Level'
			/TreeUPID 4640
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'Hall_Signal_Missing_Level'
			/TreeUPID 4641
			/Type 'DOUBLE'
		]	   		   	
		% MOTOR HALL SIGNAL END
		
		
		% EXTERNAL SENSOR CONFIGURATION BEGIN
		[D
			/Name 'ExtSensor_Type'
			/TreeUPID 4700
			/Type 'ENUM'
			/StartWithTreeValue #1
			/OnChange [A
				[D /Name 'ChangeExtSensorType' ]							 
			]  
			/ENumDef [A
				[D
					/Value 0
					/CaptionKeyWord 'No_Sensor'					
					/OnSelect [A
						[D /Name 'Feedback_Selection' /Value 0 ]					  
						[D /Name 'Double_Feedback_Check' /Value 0 ]					  
						[D /Name 'Com_BackEMFCalcSource' /Value 1 ]					  
					]
				]																											
				[D
					/Value 1
					/CaptionKeyWord 'Incremental_AB'					
					/OnSelect [A	
						[D /Name 'Feedback_Selection' /Value 1 ]					  
						[D /Name 'Double_Feedback_Check' /Value 1 ]					  
						[D /Name 'Com_BackEMFCalcSource' /Value 2 ]					  						
					]
				]																											
				[D
					/Value 4
					/CaptionKeyWord 'Incremental_ABZ'					
					/OnSelect [A	
						[D /Name 'Feedback_Selection' /Value 1 ]					  
						[D /Name 'Double_Feedback_Check' /Value 1 ]					  
						[D /Name 'Com_BackEMFCalcSource' /Value 2 ]					  						
					]
				]																											
				[D
					/Value 2
					/CaptionKeyWord 'Analog_Sine_Cosine'					
					/OnSelect [A	
						[D /Name 'Feedback_Selection' /Value 1 ]					  
						[D /Name 'Double_Feedback_Check' /Value 1 ]					  
						[D /Name 'Com_BackEMFCalcSource' /Value 2 ]					  						
					]
				]																											
				[D
					/Value 3
					%/Caption 'Absolute Sensor'					
					/Hide #1
					/OnSelect [A	
						[D /Name 'Feedback_Selection' /Value 1 ]					  
						[D /Name 'Double_Feedback_Check' /Value 1 ]					  
						[D /Name 'Com_BackEMFCalcSource' /Value 0 ]					  						
					]
				]																											
				[D
					/Value 7
					/CaptionKeyWord 'Encoder_Simulation'					
					/OnSelect [A	
						[D /Name 'Feedback_Selection' /Value 0 ]					  
						[D /Name 'Double_Feedback_Check' /Value 0 ]					  
						[D /Name 'Com_BackEMFCalcSource' /Value 1 ]					  
					]
				]																											
			]	
		]      	   		   		   	  	   
		[D
			/Name 'ExtSensor_Direction'
			/TreeUPID 4701
			/Type 'ENUM'
			/StartWithTreeValue #1
			/OnChange [A ]  
			/ENumDef [A
				[D
					/Value 0
					/CaptionKeyWord 'Positive'					
					/OnSelect [A	
					]
				]																											
				[D
					/Value 1
					/CaptionKeyWord 'Negative'					
					/OnSelect [A	
					]
				]																											
			]	
		]      	   		   		
		[D
			/Name 'ExtSen_WaveForm_Table'
			/TreeUPID 4720
			/Type 'ENum'
			/DefValue 1
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'None'					
					/OnSelect [A ]
				]																											
				[D
					/Value 1
					%/Caption 'IFFT Calculated'					
					/OnSelect [A ]
				]																											
				[D
					/Value 2
					%/Caption 'Custom'					
					/OnSelect [A ]
				]																											   	   		   		
			] 	   		   		   	
		]	   		   	
		[D
			/Name 'ExtSen_FFT_C1'
			/TreeUPID 4721
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'ExtSen_FFT_C3'
			/TreeUPID 4722 
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'ExtSen_FFT_C5'
			/TreeUPID 4723
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'ExtSen_FFT_C7'
			/TreeUPID 4724
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'ExtSen_FFT_C9'
			/TreeUPID 4725
			/Type 'DOUBLE'
		]	   		   										
		[D
			/Name 'ExtSensor_Resolution'
			/TreeUPID 4702
			/StartWithTreeValue #1
			/OnChange [A ]  
			/Type 'DOUBLE'
		]      	   		   		   	  	   
		[D
			/Name 'ExtSensor_SpeedTime'
			/TreeUPID 4706
			/StartWithTreeValue #1
			/OnChange [A ]  
			/Type 'DOUBLE'
		]      	   		   		   	  	            	   		   		   	  	      
		[D
			/Name 'ExtSensor_MinEdgeSep'
			/TreeUPID 4730
			/StartWithTreeValue #1
			/OnChange [A ]  
			/Type 'DOUBLE'
		]      	   		   		   	  	            	   		   		   	  	      
		% POSITION RECOVERY CONFIGURATION BEGIN
		[D
			/Name 'PosRec_PositionTolerance'
			/StartWithTreeValue #1
			/TreeUPID 5089
			/Type 'DOUBLE'
		]
		% ANALOG and InPeriod
		[D
			/Name 'PosRec_AnalogSourceSelection'
			/TreeUPID 5097
			/Type 'ENUM'
			/StartWithTreeValue #1
			/ENumDef [A
				[D
					/Value 1
					/OnSelect [A	
					]
				]																											
				[D
					/Value 2
					/OnSelect [A	
					]
				]																											
			]	
		]	   		   		
		[D
			/Name 'PosRec_0VPosition'
			/StartWithTreeValue #1
			/TreeUPID 5098
			/Type 'DOUBLE'
		]
		[D
			/Name 'PosRec_10VPosition'
			/StartWithTreeValue #1
			/TreeUPID 5099
			/Type 'DOUBLE'
		]		
		% SSI		
		[D
			/Name 'PosRec_SSIResolution'
			/TreeUPID 5090
			/Type 'DOUBLE'
			/StartWithTreeValue #1
		]	   		   	
		[D
			/Name 'PosRec_SSIReadingPulseWidth'
			/TreeUPID 5091
			/Type 'DOUBLE'
			/StartWithTreeValue #1
		]	   		   	
		[D
			/Name 'PosRec_SSINumberOfReadingBits'
			/TreeUPID 5092
			/Type 'DOUBLE'
			/StartWithTreeValue #1
		]	   		   	
		[D
			/Name 'PosRec_SSINumberOfPositionBits'
			/TreeUPID 5093
			/Type 'DOUBLE'
			/StartWithTreeValue #1
		]	   		   	
		[D
			/Name 'PosRec_SSIPositionDecoding'
			/TreeUPID 5094
			/Type 'ENUM'
			/StartWithTreeValue #1
			/ENumDef [A
				[D
					/Value 0
					/OnSelect [A
					]
				]																											
				[D
					/Value 1
					/OnSelect [A	
					]
				]																											
			]	
		]	   		   	
		[D
			/Name 'PosRec_SSICountDirection'
			/TreeUPID 5347
			/StartWithTreeValue #1
			/Type 'ENUM'
			/ENumDef [A
				[D
					/Value 0
					/OnSelect [A
					]
				]																											
				[D
					/Value 1
					/OnSelect [A	
					]
				]																											
			]	
		]	   		   	
		
		[D
			/Name 'PosRec_SSIPositionOffset'
			/TreeUPID 5345
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'PosRec_SSIPositionOffsetValid'
			/TreeUPID 5346
			/Type 'BOOLEAN'
		]  
		
		[D
			/Name 'PosRec_Mode'
			/TreeUPID 5088
			/Type 'ENUM'
			/StartWithTreeValue #1
			/ENumDef [A
				[D
					/Value 0
					/OnSelect [A
					]
				]																											
				[D
					/Value 1
					/OnSelect [A	
					]
				]																											
				[D
					/Value 2
					/OnSelect [A	
					]
				]																											
				[D
					/Value 4
					/OnSelect [A
						
					]
				]																											
			]	
		]      	   		   		   	  	   
		
		[D
			/Name 'PosRec_SSITypeCode'
			/TreeUPID 5344
			/Type 'ENUM'
			/DefValue 4
			/StartWithTreeValue #1
			/ENumDef [A
				[D
					/Value 4
					/Caption 'MS01-1/D-SSI'
					/OnSelect [A
						[D /Name 'PosRec_SSIResolution' /Value 0.000005 ]      	     	
						[D /Name 'PosRec_SSIReadingPulseWidth' /Value 0.000002 ]      	     	
						[D /Name 'PosRec_SSINumberOfReadingBits' /Value 31.0 ]      	     	
						[D /Name 'PosRec_SSINumberOfPositionBits' /Value 24.0 ]      	     	
						[D /Name 'PosRec_SSIPositionDecoding' /Value 0]      	     	
					]
				]																							
				[D
					/Value 3
					/Caption 'MSA501'
					/Hide #1
					/OnSelect [A
						[D /Name 'PosRec_SSIResolution' /Value 0.000005 ]      	     	
						[D /Name 'PosRec_SSIReadingPulseWidth' /Value 0.000002 ]      	     	
						[D /Name 'PosRec_SSINumberOfReadingBits' /Value 31.0 ]      	     	
						[D /Name 'PosRec_SSINumberOfPositionBits' /Value 24.0 ]      	     	
						[D /Name 'PosRec_SSIPositionDecoding' /Value 0]      	     	
					]																					
				]		
				[D
					/Value 1
					/Hide #1
					/Caption 'MSA111'
					/OnSelect [A
						[D /Name 'PosRec_SSIResolution' /Value 0.000001 ]      	     	
						[D /Name 'PosRec_SSIReadingPulseWidth' /Value 0.0000008 ]      	     	
						[D /Name 'PosRec_SSINumberOfReadingBits' /Value 24.0 ]      	     	
						[D /Name 'PosRec_SSINumberOfPositionBits' /Value 24.0 ]      	     	
						[D /Name 'PosRec_SSIPositionDecoding' /Value 0]      	     	
					]
				]																											
				[D
					/Value 2
					/Caption 'Generic'
					%/Hide #1
					/OnSelect [A	
					]
				]																											
			]	
		]	   		   			
		
		% POSITION RECOVERY CONFIGURATION END
		
		% COMMUTATION BEGIN
		[D
			/Name 'Com_NumberOfPhases'
			/TreeUPID 4590
			/Type 'ENum'
			/DefValue 2  % Phases
			/ENumDef [A  
				[D
					/Value 1
					%/Caption '1 Phase'					
					/OnSelect [A ]
				]																											
				[D
					/Value 2
					%/Caption '2 Phases'					
					/OnSelect [A ]
				]																											
				[D
					/Value 3
					%/Caption '3 Phases'					
					/OnSelect [A ]
				]																											   	   		
			] 	   		   		   	
		]
		[D
			/Name 'Com_Ph1ToPh2Angle'
			/TreeUPID 4597
			/DefValue -1.57079632679489 
			/Type 'DOUBLE'
		]      	   		   		   	  	      		   		   	
		[D
			/Name 'Com_AngleInfoSource'
			/TreeUPID 4591
			/Type 'ENum'
			/DefValue 1  % SIN/COS Motor Sensor
			/ENumDef [A
				[D
					/Value 1
					%/Caption 'SIN/COS on X3 Motor Sensor'					
					/OnSelect [A ]
				]																											
				[D
					/Value 2
					%/Caption 'SIN/COS on X12 External Sensor'					
					/OnSelect [A ]
				]																											
				[D
					/Value 3
					%/Caption 'Sensor Position On X3'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 7
					%/Caption 'AB Sensor Position on X12'					
					/OnSelect [A ]
				]																											   	   		   						
				[D
					/Value 4
					%/Caption 'ABZ Sensor Position on X12'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 5
					%/Caption 'Hall Switches on X3'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 6
					%/Caption 'Hall Switches on X10'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 0
					%/Caption 'External'					
					/OnSelect [A ]
				]																											   	   		   		
			] 	   		   		   	
		]	   		   	
		[D
			/Name 'Com_InitMode'
			/TreeUPID 4592
			/Type 'ENum'
			/DefValue 0  % None
			/ENumDef [A  
				[D
					/Value 0
					%/Caption 'None'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 1
					%/Caption 'Alpha Shot on X3'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 2
					%/Caption 'Alpha Shot on X12'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 5
					%/Caption 'Hall Switches on X3 Until First Z'					
					/OnSelect [A ]
				]																											   	   		   						
				[D
					/Value 6
					%/Caption 'Hall Switches on X10 Until First Z'					
					/OnSelect [A ]
				]	
				[D
					/Value 7
					%/Caption 'Phase Search First Switch On'					
					/OnSelect [A ]
				]	
				[D
					/Value 13
					%/Caption 'Hall Switches On X3 Until Hall Switch Edge'					
					/OnSelect [A ]
				]	
				[D
					/Value 14
					%/Caption 'Hall Switches On X10 Until Hall Switch Edge'					
					/OnSelect [A ]
				]																										   	   		   		
			] 	   		   		   	
		]	   		   	
		[D
			/Name 'Com_PeriodLength'
			/TreeUPID 4593
			/DefValue 0.06 
			/Type 'DOUBLE'
		]      	   		   		   	  	   
		[D
			/Name 'Com_PhaseAngle'
			/TreeUPID 4594
			/DefValue 4.7123889803846898576939650749193
			/Type 'DOUBLE'
		]      	   		   		   	  	   
%		[D
%			/Name 'Com_DeathTimeCompensation'
%			/TreeUPID 4595
%			/Type 'DOUBLE'
%		]      	   		  
		[D
			/Name 'Com_MotorSensorDelay'
			/TreeUPID 4589
			/Type 'DOUBLE'
			/DefValue 0.000145
		]
		[D
			/Name 'Invert_Hall_Switches'
			/TreeUPID 4598
			/Type 'ENUM'	
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'Off'
					/OnSelect [A ]
				]
				[D
					/Value 1
					%/Caption 'On'
					/OnSelect [A ]
				]	
			]				
		]		 		   	  	   
		[D
			/Name 'Com_BackEMFCalcSource'
			/TreeUPID 4596
			/Type 'ENUM'
			/DefValue 1 %Velocity of X3 Feedback (only for 48x240F, since 3.5)
			/ENumDef [A  
				[D
					/Value 0
					%/Caption 'Demand Velocity'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 1
					%/Caption 'Velocity of X3 Feedback'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 2
					%/Caption 'Velocity of X12 Feedback'					
					/OnSelect [A ]
				]																											   	   		   		
			] 	   		   		   	
		]      	   		   		   	  	   
		[D
			/Name 'Com_CommutationTable'
			/TreeUPID 4530
			/DefValue 1 % IFFT Calculated			
			/Type 'ENUM'
			/ENumDef [A  
				[D
					/Value 0
					%/Caption 'None'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 2
					%/Caption 'Custom'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 1
					%/Caption 'IFFT Calculated'					
					/OnSelect [A ]
				]																											   	   		   		
			] 	   		   		   	
		]      	   		   		   	  	   
		[D
			/Name 'Com_FFT_C1'
			/TreeUPID 4531
			/DefValue 1.074704 	   		   		   	
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'Com_FFT_C3'
			/TreeUPID 4532
			/DefValue -0.000035 	   		   		   	
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'Com_FFT_C5'
			/TreeUPID 4533
			/DefValue -0.075787 	   		   		   	
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'Com_FFT_C7'
			/TreeUPID 4534
			/DefValue -0.001076 	   		   		   	
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'Com_FFT_C9'
			/TreeUPID 4535
			/DefValue -0.000028 	   		   		   	
			/Type 'DOUBLE'
		]	   		   										
		[D
			/Name 'Com_BackEMFTable'
			/TreeUPID 4540
			/DefValue 1 % IFFT Calculated			
			/Type 'ENUM'
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'None'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 2
					%/Caption 'Custom'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 1
					%/Caption 'IFFT Calculated'					
					/OnSelect [A ]
				]																											   	   		   		
			] 	   		   		   	
		]      	   		   		   	  	   
		[D
			/Name 'Com_BackEMF_C1'
			/TreeUPID 4541
			/DefValue 0.930777	   		   		   	
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'Com_BackEMF_C3'
			/TreeUPID 4542
			/DefValue -0.065638 	   		   		   	
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'Com_BackEMF_C5'
			/TreeUPID 4543
			/DefValue -0.000159 	   		   		   	
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'Com_BackEMF_C7'
			/TreeUPID 4544
			/DefValue -0.004653	   		   		   	
			/Type 'DOUBLE'
		]	   		   	
		[D
			/Name 'Com_BackEMF_C9'
			/TreeUPID 4545
			/DefValue -0.00091 	   		   		   	
			/Type 'DOUBLE'
		]	   		   										
		% COMMUTATION END
		
		% SLIDER BEGIN   	
		[D
			/Name 'Slider_SubID'
			/TreeUPID 6252
			/Type 'ENUM'
			/StartWithTreeValue #1
		]      	   		  						
		[D
			/Name 'Slider_MainID'
			/TreeUPID 6202
			/Type 'ENUM'
			/StartWithTreeValue #1
		]      	   		  		
		[D
			/Name 'Slider'
			/TreeUPID 6254
			/Type 'ENUM'
			/DefValue -1
			/StartWithTreeValue #1
			/OnChange [A
				[D	/Name 'CalculateMotorProperty']				
				%[D	/Name 'Module_BuildActuatorName']				      															
				[D /Name 'CalculateFFValues' ]
				[D /Name 'CalculateStrokeRange' ]				
			]
			/ENumDef [A
				[D
					/Value $E010501
					/Caption 'PL01-27x500@/420 (L: 500mm; D: 27mm)'
					/ShowWithCompanyPrefix #1									
					/OnSelect [A
						[D /Name 'Slider_Name' /Value 'PL01-27x500@/420' ]
						[D /Name 'Slider_MainID' /Value $501 ]						
						[D /Name 'Slider_SubID'	/Value $E01	]						
						[D	/Name 'Slider_Length'	/Value 0.5	]
						[D	/Name 'Slider_ActiveLength'	/Value 0.42	]
						[D	/Name 'Slider_EndPieceLength'	/Value 0.024	]
						[D	/Name 'Slider_Mass'	/Value 2.16	]																
						[D /Name 'Slider_ArtNr'	/Value '0150-1469'	]
						[D /Name 'Slider_PolePitch' /Value 0.03 ]						
						[D /Name 'Motor_FactorPerPolePitch' /Value 2.383 ]
						%%% Motor Name Slider Extension 
						[D /Name 'Motor_Name_SD_Extension' /Value '' ]						
						%%% Back EMF
						[D /Name 'Com_BackEMF_C1' /Value 0.936 ]
						[D /Name 'Com_BackEMF_C3' /Value -0.0612 ]
						[D /Name 'Com_BackEMF_C5' /Value -0.0006 ]
						[D /Name 'Com_BackEMF_C7' /Value -0.0033 ]
						[D /Name 'Com_BackEMF_C9' /Value 0.0 ]
						%%% Commutation
						[D /Name 'Com_FFT_C1' /Value 1.0683 ]
						[D /Name 'Com_FFT_C3' /Value -0.0007 ]
						[D /Name 'Com_FFT_C5' /Value -0.0699 ]
						[D /Name 'Com_FFT_C7' /Value 0.0 ]
						[D /Name 'Com_FFT_C9' /Value 0.0008 ]
						%%% Sensor
						[D /Name 'MotSen_FFT_C1' /Value 0.9152 ]
						[D /Name 'MotSen_FFT_C3' /Value -0.0725 ]
						[D /Name 'MotSen_FFT_C5' /Value 0.0005 ]
						[D /Name 'MotSen_FFT_C7' /Value 0.0019 ]
						[D /Name 'MotSen_FFT_C9' /Value -0.0006 ]						
					]								
				]																
				[D
					/Value $12010501
					/Caption 'PL01-27x620@/540 (L: 620mm; D: 27mm)'
					/ShowWithCompanyPrefix #1									
					/OnSelect [A
						[D /Name 'Slider_Name' /Value 'PL01-27x620@/540' ]
						[D /Name 'Slider_MainID' /Value $501 ]						
						[D /Name 'Slider_SubID'	/Value $1201	]						
						[D	/Name 'Slider_Length'	/Value 0.62	]
						[D	/Name 'Slider_ActiveLength'	/Value 0.54	]
						[D	/Name 'Slider_EndPieceLength'	/Value 0.024	]
						[D	/Name 'Slider_Mass'	/Value 2.53	]																
						[D /Name 'Slider_ArtNr'	/Value '0150-1470'	]
						[D /Name 'Slider_PolePitch' /Value 0.03 ]
						[D /Name 'Motor_FactorPerPolePitch' /Value 2.383 ]
						%%% Motor Name Slider Extension 
						[D /Name 'Motor_Name_SD_Extension' /Value '' ]						
						%%% Back EMF
						[D /Name 'Com_BackEMF_C1' /Value 0.936 ]
						[D /Name 'Com_BackEMF_C3' /Value -0.0612 ]
						[D /Name 'Com_BackEMF_C5' /Value -0.0006 ]
						[D /Name 'Com_BackEMF_C7' /Value -0.0033 ]
						[D /Name 'Com_BackEMF_C9' /Value 0.0 ]
						%%% Commutation
						[D /Name 'Com_FFT_C1' /Value 1.0683 ]
						[D /Name 'Com_FFT_C3' /Value -0.0007 ]
						[D /Name 'Com_FFT_C5' /Value -0.0699 ]
						[D /Name 'Com_FFT_C7' /Value 0.0 ]
						[D /Name 'Com_FFT_C9' /Value 0.0008 ]
						%%% Sensor
						[D /Name 'MotSen_FFT_C1' /Value 0.9152 ]
						[D /Name 'MotSen_FFT_C3' /Value -0.0725 ]
						[D /Name 'MotSen_FFT_C5' /Value 0.0005 ]
						[D /Name 'MotSen_FFT_C7' /Value 0.0019 ]
						[D /Name 'MotSen_FFT_C9' /Value -0.0006 ]						
					]								
				]															
				[D
					/Value $15010501
					/Caption 'PL01-27x710@/630 (L: 710mm; D: 27mm)'
					/ShowWithCompanyPrefix #1									
					/OnSelect [A
						[D /Name 'Slider_Name' /Value 'PL01-27x710@/630' ]
						[D /Name 'Slider_MainID' /Value $501 ]						
						[D /Name 'Slider_SubID'	/Value $1501	]						
						[D	/Name 'Slider_Length'	/Value 0.71	]
						[D	/Name 'Slider_ActiveLength'	/Value 0.63	]
						[D	/Name 'Slider_EndPieceLength'	/Value 0.024	]
						[D	/Name 'Slider_Mass'	/Value 2.92	]																
						[D /Name 'Slider_ArtNr'	/Value '0150-1471'	]
						[D /Name 'Slider_PolePitch' /Value 0.03 ]
						[D /Name 'Motor_FactorPerPolePitch' /Value 2.383 ]
						%%% Motor Name Slider Extension 
						[D /Name 'Motor_Name_SD_Extension' /Value '' ]						
						%%% Back EMF
						[D /Name 'Com_BackEMF_C1' /Value 0.936 ]
						[D /Name 'Com_BackEMF_C3' /Value -0.0612 ]
						[D /Name 'Com_BackEMF_C5' /Value -0.0006 ]
						[D /Name 'Com_BackEMF_C7' /Value -0.0033 ]
						[D /Name 'Com_BackEMF_C9' /Value 0.0 ]
						%%% Commutation
						[D /Name 'Com_FFT_C1' /Value 1.0683 ]
						[D /Name 'Com_FFT_C3' /Value -0.0007 ]
						[D /Name 'Com_FFT_C5' /Value -0.0699 ]
						[D /Name 'Com_FFT_C7' /Value 0.0 ]
						[D /Name 'Com_FFT_C9' /Value 0.0008 ]
						%%% Sensor
						[D /Name 'MotSen_FFT_C1' /Value 0.9152 ]
						[D /Name 'MotSen_FFT_C3' /Value -0.0725 ]
						[D /Name 'MotSen_FFT_C5' /Value 0.0005 ]
						[D /Name 'MotSen_FFT_C7' /Value 0.0019 ]
						[D /Name 'MotSen_FFT_C9' /Value -0.0006 ]						
					]								
				]															
				[D
					/Value $18010501
					/Caption 'PL01-27x800@/720 (L: 800mm; D: 27mm)'
					/ShowWithCompanyPrefix #1									
					/OnSelect [A
						[D /Name 'Slider_Name' /Value 'PL01-27x800@/720' ]
						[D /Name 'Slider_MainID' /Value $501 ]						
						[D /Name 'Slider_SubID'	/Value $1801	]						
						[D	/Name 'Slider_Length'	/Value 0.8	]
						[D	/Name 'Slider_ActiveLength'	/Value 0.72	]
						[D	/Name 'Slider_EndPieceLength'	/Value 0.024	]
						[D	/Name 'Slider_Mass'	/Value 3.31	]																
						[D /Name 'Slider_ArtNr'	/Value '0150-1472'	]
						[D /Name 'Slider_PolePitch' /Value 0.03 ]
						[D /Name 'Motor_FactorPerPolePitch' /Value 2.383 ]
						%%% Motor Name Slider Extension 
						[D /Name 'Motor_Name_SD_Extension' /Value '' ]						
						%%% Back EMF
						[D /Name 'Com_BackEMF_C1' /Value 0.936 ]
						[D /Name 'Com_BackEMF_C3' /Value -0.0612 ]
						[D /Name 'Com_BackEMF_C5' /Value -0.0006 ]
						[D /Name 'Com_BackEMF_C7' /Value -0.0033 ]
						[D /Name 'Com_BackEMF_C9' /Value 0.0 ]
						%%% Commutation
						[D /Name 'Com_FFT_C1' /Value 1.0683 ]
						[D /Name 'Com_FFT_C3' /Value -0.0007 ]
						[D /Name 'Com_FFT_C5' /Value -0.0699 ]
						[D /Name 'Com_FFT_C7' /Value 0.0 ]
						[D /Name 'Com_FFT_C9' /Value 0.0008 ]
						%%% Sensor
						[D /Name 'MotSen_FFT_C1' /Value 0.9152 ]
						[D /Name 'MotSen_FFT_C3' /Value -0.0725 ]
						[D /Name 'MotSen_FFT_C5' /Value 0.0005 ]
						[D /Name 'MotSen_FFT_C7' /Value 0.0019 ]
						[D /Name 'MotSen_FFT_C9' /Value -0.0006 ]						
					]								
				]															
				[D
					/Value $1C010501
					/Caption 'PL01-27x920@/840 (L: 920mm; D: 27mm)'
					/ShowWithCompanyPrefix #1									
					/OnSelect [A
						[D /Name 'Slider_Name' /Value 'PL01-27x920@/840' ]
						[D /Name 'Slider_MainID' /Value $501 ]						
						[D /Name 'Slider_SubID'	/Value $1C01	]						
						[D	/Name 'Slider_Length'	/Value 0.92	]
						[D	/Name 'Slider_ActiveLength'	/Value 0.84	]
						[D	/Name 'Slider_EndPieceLength'	/Value 0.024	]
						[D	/Name 'Slider_Mass'	/Value 3.83	]																
						[D /Name 'Slider_ArtNr'	/Value '0150-1447'	]
						[D /Name 'Slider_PolePitch' /Value 0.03 ]
						[D /Name 'Motor_FactorPerPolePitch' /Value 2.383 ]
						%%% Motor Name Slider Extension 
						[D /Name 'Motor_Name_SD_Extension' /Value '' ]						
						%%% Back EMF
						[D /Name 'Com_BackEMF_C1' /Value 0.936 ]
						[D /Name 'Com_BackEMF_C3' /Value -0.0612 ]
						[D /Name 'Com_BackEMF_C5' /Value -0.0006 ]
						[D /Name 'Com_BackEMF_C7' /Value -0.0033 ]
						[D /Name 'Com_BackEMF_C9' /Value 0.0 ]
						%%% Commutation
						[D /Name 'Com_FFT_C1' /Value 1.0683 ]
						[D /Name 'Com_FFT_C3' /Value -0.0007 ]
						[D /Name 'Com_FFT_C5' /Value -0.0699 ]
						[D /Name 'Com_FFT_C7' /Value 0.0 ]
						[D /Name 'Com_FFT_C9' /Value 0.0008 ]
						%%% Sensor
						[D /Name 'MotSen_FFT_C1' /Value 0.9152 ]
						[D /Name 'MotSen_FFT_C3' /Value -0.0725 ]
						[D /Name 'MotSen_FFT_C5' /Value 0.0005 ]
						[D /Name 'MotSen_FFT_C7' /Value 0.0019 ]
						[D /Name 'MotSen_FFT_C9' /Value -0.0006 ]						
					]								
				]															
				[D
					/Value $1F010501
					/Caption 'PL01-27x1010@/930 (L: 1010mm; D: 27mm)'
					/ShowWithCompanyPrefix #1									
					/OnSelect [A
						[D /Name 'Slider_Name' /Value 'PL01-27x1010@/930' ]
						[D /Name 'Slider_MainID' /Value $501 ]						
						[D /Name 'Slider_SubID'	/Value $1F01	]						
						[D	/Name 'Slider_Length'	/Value 1.01	]
						[D	/Name 'Slider_ActiveLength'	/Value 0.93	]
						[D	/Name 'Slider_EndPieceLength'	/Value 0.024	]
						[D	/Name 'Slider_Mass'	/Value 4.22	]																
						[D /Name 'Slider_ArtNr'	/Value '0150-1473'	]
						[D /Name 'Slider_PolePitch' /Value 0.03 ]
						[D /Name 'Motor_FactorPerPolePitch' /Value 2.383 ]
						%%% Motor Name Slider Extension 
						[D /Name 'Motor_Name_SD_Extension' /Value '' ]						
						%%% Back EMF
						[D /Name 'Com_BackEMF_C1' /Value 0.936 ]
						[D /Name 'Com_BackEMF_C3' /Value -0.0612 ]
						[D /Name 'Com_BackEMF_C5' /Value -0.0006 ]
						[D /Name 'Com_BackEMF_C7' /Value -0.0033 ]
						[D /Name 'Com_BackEMF_C9' /Value 0.0 ]
						%%% Commutation
						[D /Name 'Com_FFT_C1' /Value 1.0683 ]
						[D /Name 'Com_FFT_C3' /Value -0.0007 ]
						[D /Name 'Com_FFT_C5' /Value -0.0699 ]
						[D /Name 'Com_FFT_C7' /Value 0.0 ]
						[D /Name 'Com_FFT_C9' /Value 0.0008 ]
						%%% Sensor
						[D /Name 'MotSen_FFT_C1' /Value 0.9152 ]
						[D /Name 'MotSen_FFT_C3' /Value -0.0725 ]
						[D /Name 'MotSen_FFT_C5' /Value 0.0005 ]
						[D /Name 'MotSen_FFT_C7' /Value 0.0019 ]
						[D /Name 'MotSen_FFT_C9' /Value -0.0006 ]						
					]								
				]	
				[D
					/Value $26010501
					/Caption 'PL01-27x1220@/1140 (L: 1220mm; D: 27mm)'
					/ShowWithCompanyPrefix #1									
					/OnSelect [A
						[D /Name 'Slider_Name' /Value 'PL01-27x1220@/1140' ]
						[D /Name 'Slider_MainID' /Value $501 ]						
						[D /Name 'Slider_SubID'	/Value $2601	]						
						[D	/Name 'Slider_Length'	/Value 1.22	]
						[D	/Name 'Slider_ActiveLength'	/Value 1.14	]
						[D	/Name 'Slider_EndPieceLength'	/Value 0.024	]
						[D	/Name 'Slider_Mass'	/Value 5.13	]																
						[D /Name 'Slider_ArtNr'	/Value '0150-1587'	]
						[D /Name 'Slider_PolePitch' /Value 0.03 ]
						[D /Name 'Motor_FactorPerPolePitch' /Value 2.383 ]
						%%% Motor Name Slider Extension 
						[D /Name 'Motor_Name_SD_Extension' /Value '' ]						
						%%% Back EMF
						[D /Name 'Com_BackEMF_C1' /Value 0.936 ]
						[D /Name 'Com_BackEMF_C3' /Value -0.0612 ]
						[D /Name 'Com_BackEMF_C5' /Value -0.0006 ]
						[D /Name 'Com_BackEMF_C7' /Value -0.0033 ]
						[D /Name 'Com_BackEMF_C9' /Value 0.0 ]
						%%% Commutation
						[D /Name 'Com_FFT_C1' /Value 1.0683 ]
						[D /Name 'Com_FFT_C3' /Value -0.0007 ]
						[D /Name 'Com_FFT_C5' /Value -0.0699 ]
						[D /Name 'Com_FFT_C7' /Value 0.0 ]
						[D /Name 'Com_FFT_C9' /Value 0.0008 ]
						%%% Sensor
						[D /Name 'MotSen_FFT_C1' /Value 0.9152 ]
						[D /Name 'MotSen_FFT_C3' /Value -0.0725 ]
						[D /Name 'MotSen_FFT_C5' /Value 0.0005 ]
						[D /Name 'MotSen_FFT_C7' /Value 0.0019 ]
						[D /Name 'MotSen_FFT_C9' /Value -0.0006 ]						
					]								
				]	
				[D
					/Value $2C010501
					/Caption 'PL01-27x1400@/1320 (L: 1400mm; D: 27mm)'
					/ShowWithCompanyPrefix #1									
					/OnSelect [A
						[D /Name 'Slider_Name' /Value 'PL01-27x1400@/1320' ]
						[D /Name 'Slider_MainID' /Value $501 ]						
						[D /Name 'Slider_SubID'	/Value $2C01	]						
						[D	/Name 'Slider_Length'	/Value 1.4	]
						[D	/Name 'Slider_ActiveLength'	/Value 1.32	]
						[D	/Name 'Slider_EndPieceLength'	/Value 0.024	]
						[D	/Name 'Slider_Mass'	/Value 5.91	]																
						[D /Name 'Slider_ArtNr'	/Value '0150-1588'	]
						[D /Name 'Slider_PolePitch' /Value 0.03 ]
						[D /Name 'Motor_FactorPerPolePitch' /Value 2.383 ]
						%%% Motor Name Slider Extension 
						[D /Name 'Motor_Name_SD_Extension' /Value '' ]						
						%%% Back EMF
						[D /Name 'Com_BackEMF_C1' /Value 0.936 ]
						[D /Name 'Com_BackEMF_C3' /Value -0.0612 ]
						[D /Name 'Com_BackEMF_C5' /Value -0.0006 ]
						[D /Name 'Com_BackEMF_C7' /Value -0.0033 ]
						[D /Name 'Com_BackEMF_C9' /Value 0.0 ]
						%%% Commutation
						[D /Name 'Com_FFT_C1' /Value 1.0683 ]
						[D /Name 'Com_FFT_C3' /Value -0.0007 ]
						[D /Name 'Com_FFT_C5' /Value -0.0699 ]
						[D /Name 'Com_FFT_C7' /Value 0.0 ]
						[D /Name 'Com_FFT_C9' /Value 0.0008 ]
						%%% Sensor
						[D /Name 'MotSen_FFT_C1' /Value 0.9152 ]
						[D /Name 'MotSen_FFT_C3' /Value -0.0725 ]
						[D /Name 'MotSen_FFT_C5' /Value 0.0005 ]
						[D /Name 'MotSen_FFT_C7' /Value 0.0019 ]
						[D /Name 'MotSen_FFT_C9' /Value -0.0006 ]						
					]								
				]	
%				[D
%					/Value 87
%					/Caption 'PL01-27x1610@/1530 (L: 1610mm; D: 27mm)'
%					/ShowWithCompanyPrefix #1									
%					/OnSelect [A
%						[D /Name 'Slider_Name' /Value 'PL01-27x1610@/1530' ]
%						[D	/Name 'Slider_Length'	/Value 1.61	]
%						[D	/Name 'Slider_ActiveLength'	/Value 1.53	]
%						[D	/Name 'Slider_EndPieceLength'	/Value 0.024	]
%						[D	/Name 'Slider_Mass'	/Value 6.82	]																
%						[D /Name 'Slider_ArtNr'	/Value '0150-1589'	]
%						[D /Name 'Slider_PolePitch' /Value 0.03 ]
%						[D /Name 'Motor_FactorPerPolePitch' /Value 2.383 ]
%						%%% Motor Name Slider Extension 
%						[D /Name 'Motor_Name_SD_Extension' /Value '' ]						
%						%%% Back EMF
%						[D /Name 'Com_BackEMF_C1' /Value 0.936 ]
%						[D /Name 'Com_BackEMF_C3' /Value -0.0612 ]
%						[D /Name 'Com_BackEMF_C5' /Value -0.0006 ]
%						[D /Name 'Com_BackEMF_C7' /Value -0.0033 ]
%						[D /Name 'Com_BackEMF_C9' /Value 0.0 ]
%						%%% Commutation
%						[D /Name 'Com_FFT_C1' /Value 1.0683 ]
%						[D /Name 'Com_FFT_C3' /Value -0.0007 ]
%						[D /Name 'Com_FFT_C5' /Value -0.0699 ]
%						[D /Name 'Com_FFT_C7' /Value 0.0 ]
%						[D /Name 'Com_FFT_C9' /Value 0.0008 ]
%						%%% Sensor
%						[D /Name 'MotSen_FFT_C1' /Value 0.9152 ]
%						[D /Name 'MotSen_FFT_C3' /Value -0.0725 ]
%						[D /Name 'MotSen_FFT_C5' /Value 0.0005 ]
%						[D /Name 'MotSen_FFT_C7' /Value 0.0019 ]
%						[D /Name 'MotSen_FFT_C9' /Value -0.0006 ]						
%					]								
%				]	
%				[D
%					/Value 88
%					/Caption 'PL01-27x1820@/1740 (L: 1820mm; D: 27mm)'
%					/ShowWithCompanyPrefix #1									
%					/OnSelect [A
%						[D /Name 'Slider_Name' /Value 'PL01-27x1820@/1740' ]
%						[D	/Name 'Slider_Length'	/Value 1.82	]
%						[D	/Name 'Slider_ActiveLength'	/Value 1.74	]
%						[D	/Name 'Slider_EndPieceLength'	/Value 0.024	]
%						[D	/Name 'Slider_Mass'	/Value 7.73	]																
%						[D /Name 'Slider_ArtNr'	/Value '0150-1590'	]
%						[D /Name 'Slider_PolePitch' /Value 0.03 ]
%						[D /Name 'Motor_FactorPerPolePitch' /Value 2.383 ]
%						%%% Motor Name Slider Extension 
%						[D /Name 'Motor_Name_SD_Extension' /Value '' ]						
%						%%% Back EMF
%						[D /Name 'Com_BackEMF_C1' /Value 0.936 ]
%						[D /Name 'Com_BackEMF_C3' /Value -0.0612 ]
%						[D /Name 'Com_BackEMF_C5' /Value -0.0006 ]
%						[D /Name 'Com_BackEMF_C7' /Value -0.0033 ]
%						[D /Name 'Com_BackEMF_C9' /Value 0.0 ]
%						%%% Commutation
%						[D /Name 'Com_FFT_C1' /Value 1.0683 ]
%						[D /Name 'Com_FFT_C3' /Value -0.0007 ]
%						[D /Name 'Com_FFT_C5' /Value -0.0699 ]
%						[D /Name 'Com_FFT_C7' /Value 0.0 ]
%						[D /Name 'Com_FFT_C9' /Value 0.0008 ]
%						%%% Sensor
%						[D /Name 'MotSen_FFT_C1' /Value 0.9152 ]
%						[D /Name 'MotSen_FFT_C3' /Value -0.0725 ]
%						[D /Name 'MotSen_FFT_C5' /Value 0.0005 ]
%						[D /Name 'MotSen_FFT_C7' /Value 0.0019 ]
%						[D /Name 'MotSen_FFT_C9' /Value -0.0006 ]						
%					]								
%				]	
%				[D
%					/Value 89
%					/Caption 'PL01-27x2000@/1920 (L: 2000mm; D: 27mm)'
%					/ShowWithCompanyPrefix #1									
%					/OnSelect [A
%						[D /Name 'Slider_Name' /Value 'PL01-27x2000@/1920' ]
%						[D	/Name 'Slider_Length'	/Value 2.0	]
%						[D	/Name 'Slider_ActiveLength'	/Value 1.92	]
%						[D	/Name 'Slider_EndPieceLength'	/Value 0.024	]
%						[D	/Name 'Slider_Mass'	/Value 8.51	]																
%						[D /Name 'Slider_ArtNr'	/Value '0150-1553'	]
%						[D /Name 'Slider_PolePitch' /Value 0.03 ]
%						[D /Name 'Motor_FactorPerPolePitch' /Value 2.383 ]
%						%%% Motor Name Slider Extension 
%						[D /Name 'Motor_Name_SD_Extension' /Value '' ]						
%						%%% Back EMF
%						[D /Name 'Com_BackEMF_C1' /Value 0.936 ]
%						[D /Name 'Com_BackEMF_C3' /Value -0.0612 ]
%						[D /Name 'Com_BackEMF_C5' /Value -0.0006 ]
%						[D /Name 'Com_BackEMF_C7' /Value -0.0033 ]
%						[D /Name 'Com_BackEMF_C9' /Value 0.0 ]
%						%%% Commutation
%						[D /Name 'Com_FFT_C1' /Value 1.0683 ]
%						[D /Name 'Com_FFT_C3' /Value -0.0007 ]
%						[D /Name 'Com_FFT_C5' /Value -0.0699 ]
%						[D /Name 'Com_FFT_C7' /Value 0.0 ]
%						[D /Name 'Com_FFT_C9' /Value 0.0008 ]
%						%%% Sensor
%						[D /Name 'MotSen_FFT_C1' /Value 0.9152 ]
%						[D /Name 'MotSen_FFT_C3' /Value -0.0725 ]
%						[D /Name 'MotSen_FFT_C5' /Value 0.0005 ]
%						[D /Name 'MotSen_FFT_C7' /Value 0.0019 ]
%						[D /Name 'MotSen_FFT_C9' /Value -0.0006 ]						
%					]								
%				]	
			]																		
		]	
		
		% SLIDER DIRECTION   	
		[D
			/Name 'Slider_Direction'
			/CaptionKeyWord 'Slider_Direction'
			/TreeUPID 6211
			/Type 'ENUM'
			/DefValue 1
			/StartWithTreeValue #1
			/OnChange [A
				[D	/Name 'CalculateMotorProperty']				
				%[D	/Name 'Module_BuildActuatorName']				      											
				[D /Name 'CalculateFFValues' ]
				[D /Name 'CalculateStrokeRange' ]				
			]
			/ENumDef [A
				[D
					/Value 0
					/CaptionKeyWord 'Regular'
					/Hide #1
					/OnSelect [A
					]								
				]																											
				[D
					/Value 1
					/CaptionKeyWord 'Reversed'
					/OnSelect [A
					]								
				]																											
			]
		]		
		
		% SLIDER END
		
		% STATOR SUB TYPE
		[D
			/Name 'StatorSubType'
			/TreeUPID 4614
			/Type 'ENUM'
			/DefValue -1
			/DefValueIfNotInTree 0			% This parameter is new. If not found in tree, then set standard stator   		  		   		  		
			/StartWithTreeValue #1
			/OnChange [A
				[D	/Name 'CalculateMotorProperty']				
				%[D	/Name 'Module_BuildActuatorName']				      											
				[D /Name 'CalculateFFValues' ]
				[D /Name 'CalculateStrokeRange' ]				
			]
			/ENumDef [A
				[D
					/Value $4010702
					/Caption 'PS01-48x240F-SSC-C'					
					/ShowWithCompanyPrefix #1									
					/OnSelect [A
						[D /Name 'Stator_Name' /Value 'PS01-48x240F-SSC-C' ]
						[D /Name 'StatorInfoBlock_ArtNr' /Value 1267 ]
						[D /Name 'Stator_ArtNr' /Value '0150-1267' ]
						[D /Name 'Stator_Length' /Value 0.345 ]				
						[D /Name 'Stator_Mass'	/Value 3.655 ]						
						[D /Name 'Motor_Name_Extension' /Value '-SSC-C'] 
					]									
				]																											
				[D
					/Value $4020702
					/Caption 'PS01-48x240F-SSC-C-FC'					
					/ShowWithCompanyPrefix #1									
					/OnSelect [A
						[D /Name 'Stator_Name' /Value 'PS01-48x240F-SSC-C-FC' ]
						[D /Name 'StatorInfoBlock_ArtNr' /Value 1268 ]
						[D /Name 'Stator_ArtNr' /Value '0150-1268' ]
						[D /Name 'Stator_Length' /Value 0.345 ]				
						[D /Name 'Stator_Mass'	/Value 3.715 ]						
						[D /Name 'Motor_Name_Extension' /Value '-SSC-C-FC'] 
					]									
				]																											
			]																		
		]	
		
		% END STATOR SUB TYPE
		
		
		% FLANGE BEGIN
		[D
			/Name 'Flange'
			/CaptionKeyWord 'Cooling_Flange'
			/TreeUPID 6203
			/Type 'ENUM'
			/DefValue 0
			/StartWithTreeValue #1
			/OnChange [A 
				[D /Name 'CalculateFFValues' ]				
			]
			/ENumDef [A
				[D
					/Value 0
					/CaptionKeyWord 'No_Flange'					
					/OnSelect [A	
						[D /Name 'Flange_ArtNr' /Value '' ]										
						[D /Name 'Flange_Mass' /Value 0.0 ]															  
						[D /Name 'TempModelPar_RHousingMounting' /Value 0.015 ] 
						[D /Name 'TempModelPar_CMounting' /Value 1.0 ] 
						[D /Name 'TempModelPar_RMountingEnvironment' /Value 2.000 ] 
					]
				]																											
			]	
		]      	   		   		   	  	   		
		% FLANGE END
		
		% HOMING BEGIN		
		[D
			/Name 'Home_Mode'
			/TreeUPID 5060
			/Type 'ENUM'
			/DefValue 1 % Auto Move In
			/StartWithTreeValue #1
			/OnChange [A
				[D /Name 'CalculateStrokeRange' ]				
			]
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'Actual Position'	
					/DescriptionKeyWord 'HomeMode0_Info'				
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]																											
				[D
					/Value 1
					%/Caption 'Mechanical Stop Negative Search'					
					/DescriptionKeyWord 'HomeMode1_Info'				
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]																											
				[D
					/Value 2
					%/Caption 'Mechanical Stop Positive Search'					
					/DescriptionKeyWord 'HomeMode2_Info'				
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]																											
				[D
					/Value 14
					%/Caption 'Limit Switch Negative'					
					/DescriptionKeyWord 'HomeMode14_Info'				
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]			
				[D
					/Value 15
					%/Caption 'Limit Switch Positive'					
					/DescriptionKeyWord 'HomeMode15_Info'				
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]																										
				[D
					/Value 3
					%/Caption 'Home Switch'	
					/DescriptionKeyWord 'HomeMode3_Info'													
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]					
				[D
					/Value 16
					%/Caption 'Home Switch'	
					/DescriptionKeyWord 'HomeMode16_Info'													
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]					
				[D
					/Value 4
					%/Caption 'Home Switch And Mechanical Stop Negative'					
					/DescriptionKeyWord 'HomeMode4_Info'													
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]																											
				[D
					/Value 5
					%/Caption 'Home Switch And Mechanical Stop Positive'					
					/DescriptionKeyWord 'HomeMode5_Info'													
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]				
				[D
					/Value 6
					%/Caption 'Home Switch And Limit Switch Negative'					
					/DescriptionKeyWord 'HomeMode6_Info'													
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]																											
				[D
					/Value 7
					%/Caption 'Home Switch And Limit Switch Positive'					
					/DescriptionKeyWord 'HomeMode7_Info'													
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]				
				[D
					/Value 8
					%/Caption 'Index On X12 And Mechanical Stop Negative'					
					/DescriptionKeyWord 'HomeMode8_Info'													
					/Hide #0
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]																											
				[D
					/Value 9
					%/Caption 'Index On X12 And Mechanical Stop Positive'					
					/DescriptionKeyWord 'HomeMode9_Info'													
					/Hide #0
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]				
				[D
					/Value 10
					%/Caption 'Index On X12 And Limit Switch Negative'					
					/DescriptionKeyWord 'HomeMode10_Info'													
					/Hide #0
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]																											
				[D
					/Value 11
					%/Caption 'Index On X12 And Limit Switch Positive'					
					/DescriptionKeyWord 'HomeMode11_Info'													
					/Hide #0
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]					
				[D
					/Value 12
					%/Caption 'Index On X12 Negative Search'					
					/DescriptionKeyWord 'HomeMode12_Info'													
					/Hide #0
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]																											
				[D
					/Value 13
					%/Caption 'Index On X12 Positive Search'					
					/DescriptionKeyWord 'HomeMode13_Info'													
					/Hide #0
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #1 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #1 ] 
					]
				]																																							
				[D
					/Value 17
					%/Caption 'No Drive Homing'					
					/DescriptionKeyWord 'HomeMode17_Info'													
					/Hide #0
					/OnSelect [A 
						%[D /Name 'ErrMask_MinimalPosition' /Value #0 ] 
						%[D /Name 'ErrMask_MaximalPosition' /Value #0 ] 
					]
				]																																							
			]	
		]      	   		   		   	  	  
		[D
			/Name 'HomeConf_CurrentLimit'
			/TreeUPID 5061
			/DefValue 100.0			
			/Type 'DOUBLE'
		]      	   		   		   	  	   
		[D
			/Name 'HomeConf_FollowingErrorLimit'
			/TreeUPID 5062
			/Type 'DOUBLE'
		]      	   		   		   	  	   
		[D
			/Name 'HomeConf_HomePosition'
			/TreeUPID 5063
			/StartWithTreeValue #1
			/Type 'DOUBLE'
			/OnChange [A 
				[D /Name 'CalculateStrokeRange' ]				
			]
		]      	   		   		   	  	   
		[D
			/Name 'HomeConf_MaxSpeed'
			/TreeUPID 5064
			/StartWithTreeValue #1
			/Type 'DOUBLE'
		]      	   		   		   	  	   
		[D
			/Name 'HomeConf_Acceleration'
			/TreeUPID 5065
			/Type 'DOUBLE'
		]      	   		   		   	  	   								 
		[D
			/Name 'HomeConf_SliderHomePosition'
			/TreeUPID 5066
			/StartWithTreeValue #1
			/DefValue 0.0125
			/Type 'DOUBLE'
			/OnChange [A 
				[D /Name 'CalculateStrokeRange' ]				
			]
		]      	   		 
		% HOMING BEGIN		
		
		% CHECK POS CONFIG BEGIN
		[D
			/Name 'CheckPos_AutoOnHoming'
			/TreeUPID 5070
			/Type 'ENUM'
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'Disable'					
					/OnSelect [A ]
				]																											
				[D
					/Value 1
					%/Caption 'Enable'					
					/OnSelect [A ]
				]																											
			]	
		]      	   		 
		[D
			/Name 'CheckPos_Position1'
			/TreeUPID 5071
			/Type 'DOUBLE'
		]      	   		 
		[D
			/Name 'CheckPos_Position2'
			/TreeUPID 5072
			/Type 'DOUBLE'
		]      	   		 
		[D
			/Name 'CheckPos_MaxSpeed'
			/TreeUPID 5073
			/Type 'DOUBLE'
		]      	   		   		   	  	   
		[D
			/Name 'CheckPos_Acceleration'
			/TreeUPID 5074
			/Type 'DOUBLE'
		]      	   		   		   	  	   								 
		[D
			/Name 'CheckPos_Decceleration'
			/TreeUPID 5075
			/Type 'DOUBLE'
		]      	   		   		   	  	   								 
		
		% CHECK POS CONFIG END
		
		% INITIAL POS CONFIG BEGIN
		[D
			/Name 'InitialPosConf_AutoOnHoming'
			/TreeUPID 5080
			/Type 'ENUM'
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'Disable'					
					/OnSelect [A	
					]
				]																											
				[D
					/Value 1
					%/Caption 'Enable'					
					/OnSelect [A	
					]
				]																											
			]							
		]      	   		 
		[D
			/Name 'InitialPosConf_Position'
			/TreeUPID 5081
			/Type 'DOUBLE'
			/StartWithTreeValue #1
			/OnChange [A 
				[D /Name 'CalculateStrokeRange' ]				
			]
			
		]      	   		   		   	  	   
		[D
			/Name 'InitialPosConf_MaxSpeed'
			/TreeUPID 5082
			/Type 'DOUBLE'
		]      	   		   		   	  	   
		[D
			/Name 'InitialPosConf_Acceleration'
			/TreeUPID 5083
			/Type 'DOUBLE'
		]      	   		   		   	  	   								 
		[D
			/Name 'InitialPosConf_Decceleration'
			/TreeUPID 5084
			/Type 'DOUBLE'
		]      	   		   		   	  	   								 		  		 		  				  		   	  	   
		% INITIAL POS CONFIG END
		
		% POSITION MONITORING BEGIN
		[D
			/Name 'Minimal_Position'
			/TreeUPID 5230
			/StartWithTreeValue #1
			/CaptionKeyWord 'Min_Pos_Stroke_Range'
			/Type 'DOUBLE'
			/OnChange [A	[D	/Name 'CalculateStrokeRange'	]	]
		]      	   		   		   	  	   								 
		[D
			/Name 'Maximal_Position'
			/TreeUPID 5231
			/StartWithTreeValue #1
			/CaptionKeyWord 'Max_Pos_Stroke_Range'
			/Type 'DOUBLE'
			/OnChange [A	[D	/Name 'CalculateStrokeRange'	]	]
		]      	   		   		   	  	   								 
		% POSITION MONITORING END
		
		
		% FF SETUP BEGIN
		[D
			/Name 'Move_Part'
			/TreeUPID 6204
			/Type 'ENUM'
			/DefValue 0
			/StartWithTreeValue #1
			/OnChange [A 
				[D /Name 'CalculateFFValues' ]
			]  
			/ENumDef [A
				[D
					/Value 0
					/CaptionKeyWord 'Slider'					
					/OnSelect [A	
					]
				]																											
				[D
					/Value 1
					/CaptionKeyWord 'Stator'					
					/OnSelect [A	
					]
				]																											
			]	
		]      	   		   		   	  	   
		[D
			/Name 'Additional_Mass'
			/TreeUPID 6205
			/StartWithTreeValue #1
			/OnChange [A 
				[D /Name 'CalculateFFValues' ]
			]  
			/Type 'DOUBLE'
		]      	   	
		[D
			/Name 'Total_Load_Mass'		% new parameter since 3.7 (used e.g. for MPC Move calculation)
			/TreeUPID 6240
			/OnChange [A 
			]  
			/Type 'DOUBLE'
		]      	   		   		   	  	   			   		   	  	   
		[D
			/Name 'Orientation'
			/TreeUPID 6206
			/StartWithTreeValue #1
			/MinValue -1.5707963267948966192313216916398
			/MaxValue 1.5707963267948966192313216916398
			/OnChange [A 
				[D /Name 'CalculateFFValues' ]
			]  
			/Type 'DOUBLE'
		]      	   		   		   	  	   
		[D
			/Name 'Dry_Friction'
			/TreeUPID 6207
			/StartWithTreeValue #1
			/OnChange [A 
				[D /Name 'CalculateFFValues' ]
			]  
			/Type 'DOUBLE'
		]   
		[D
			/Name 'Viscous_Friction'
			/TreeUPID 6236
			/CaptionKeyWord 'Viscous_Friction'
			/StartWithTreeValue #1
			/OnChange [A 
				[D /Name 'CalculateFFValues' ]
			]  
			/Type 'DOUBLE'
		]   
		
		
		
		[D
			/Name 'Constant_Force'
			/TreeUPID 6237
			/CaptionKeyWord 'Constant_Force'
			/StartWithTreeValue #1
			/OnChange [A 
				[D /Name 'CalculateFFValues' ]
			]  
			/Type 'DOUBLE'
		]   
		
		[D	
			/Name 'Force_Direction'
			/TreeUPID 6238
			/CaptionKeyWord 'Force_Direction'
			/Type 'ENUM'
			/DefValue 0
			/StartWithTreeValue #1
			/OnChange [A
				[D /Name 'CalculateFFValues' ]
			]
			/ENumDef [A
				[D
					/Value 0
					/CaptionKeyWord 'Negative'					
					/OnSelect [A
					]								
				]																											
				[D
					/Value 1
					/CaptionKeyWord 'Positive'
					/OnSelect [A
					]								
				]																											
			]
		]		
		
		
		
		% FF SETUP END
		
		% CONTROL PARAMETER BEGIN
		[D
			/Name 'ControlParameter_SetSelection'
			/TreeUPID 5011
			/Type 'ENUM'
			/DefValue 0
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'Control Parameter Set A'					
					/OnSelect [A	]
				]																											
				[D
					/Value 1
					%/Caption 'Control Parameter Set B'					
					/OnSelect [A	]
				]																											
			]	
		]      	   		   		   	  	   
		% CONTROL PARAMETER SET A
		[D
			/Name 'FF_ConstForce_SetA'
			/TreeUPID 5020
			/Type 'DOUBLE'
		]      	   		   		   	  	      
		[D
			/Name 'FF_Friction_SetA'
			/TreeUPID 5021
			/Type 'DOUBLE'
		]      	   		   		   	  	      
		[D
			/Name 'FF_Spring_SetA'
			/TreeUPID 5022
			/DefValue 0.0
			/Type 'DOUBLE'
		]      	   		   		   	  	      
		[D
			/Name 'FF_Damping_SetA'
			/TreeUPID 5023
			/DefValue 0.0
			/Type 'DOUBLE'
		]      	   		   		   	  	      
		[D
			/Name 'FF_Acceleration_SetA'
			/TreeUPID 5024
			/Type 'DOUBLE'
		]      	   		   		 
		[D
			/Name 'Spring_ZP_SetA'
			/TreeUPID 5025
			/DefValue 0.0
			/Type 'DOUBLE'
		]      	   		   		   	  	      
		[D
			/Name 'P_Gain_SetA'
			/TreeUPID 5026
			/StartWithTreeValue #1
			/DefValue 3000.0
			/Type 'DOUBLE'
		]      	   		   		   	  	      
		[D
			/Name 'D_Gain_SetA'
			/TreeUPID 5027
			/StartWithTreeValue #1
			/DefValue 5.0
			/Type 'DOUBLE'
		]      	   		   		   	  	      
		[D
			/Name 'I_Gain_SetA'
			/TreeUPID 5028
			%/Caption 'I Gain'
			/StartWithTreeValue #1
			/DefValue 0.0
			/Type 'DOUBLE'
		]      	   		   		   	  	      
		[D
			/Name 'D_FilterTime_SetA'
			/TreeUPID 5032
			/StartWithTreeValue #1
			/DefValue 0.0
			/Type 'DOUBLE'
		]      	   		   		   	  	      
		[D
			/Name 'IntegratorLimit_SetA'
			/TreeUPID 5029
			/Type 'DOUBLE'
		]      	   		   		   	  	      
		[D
			/Name 'MaxCurrent_SetA'
			/TreeUPID 5030
			/Type 'DOUBLE'
		]      	   		   		
		[D
			/Name 'NoiseDeadBandSetA'
			/TreeUPID 5031
			/Type 'DOUBLE'
			/CaptionKeyWord 'NoiseFilterDeadband'
			/StartWithTreeValue #1
			/DefValue 0.00003
		]      	   		   		   	  	      
		
		
		% WARNING MASK BEGIN
		[D
			/Name 'WarnMask_MotorTempSensor'
			/TreeUPID 5580
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'WarnMask_MotorHotCalculated'
			/TreeUPID 5581
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'WarnMask_MotorVoltageLow'
			/TreeUPID 5582
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'WarnMask_MotorVoltageHigh'
			/TreeUPID 5583
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'WarnMask_FollowingWarnMoving'
			/TreeUPID 5584
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'WarnMask_FollowingWarnStanding'
			/TreeUPID 5585
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'WarnMask_MCBoardTemperature'
			/TreeUPID 5586
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'WarnMask_MotorNotHomed'
			/TreeUPID 5587
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'WarnMask_PTCTempSens1'
			/TreeUPID 5588
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'WarnMask_PTCTempSens2'
			/TreeUPID 5589
			/Type 'BOOLEAN'
		] 
		
		[D
			/Name 'WarnMask_BleederHotCalculated'
			/TreeUPID 5590
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'WarnMask_InterfaceSWWarnFlag'
			/TreeUPID 5594
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'WarnMask_ApplicationSWWarnFlag'
			/TreeUPID 5595
			/Type 'BOOLEAN'
		] 
		% WARNING MASK END
		
		% ERROR MASK BEGIN
		[D
			/Name 'ErrMask_LogicVoltageLow'
			/TreeUPID 5500
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_LogicVoltageHigh'
			/TreeUPID 5501
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_MotorVoltageLow'
			/TreeUPID 5502
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_MotorVoltageHigh'
			/TreeUPID 5503
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_MotorHotCalculated'
			/TreeUPID 5504
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_MotorTempSensor'
			/TreeUPID 5505
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_PTCTempSensor'
			/TreeUPID 5506
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_MCBoardTemperature'
			/TreeUPID 5507
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_MotorSliderMissing'
			/TreeUPID 5508
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_MotorHallSignalMissing'
			/TreeUPID 5509
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_ExtPosSensor'
			/TreeUPID 5510
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_FollowingWarnMoving'
			/TreeUPID 5511
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_FollowingWarnStanding'
			/TreeUPID 5512
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_PhaseGNDPathError'
			/TreeUPID 5513
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_PhasePWRVolPathError'
			/TreeUPID 5514
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_OverCurrent'
			/TreeUPID 5515
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_MinimalPosition'
			/TreeUPID 5516
			/StartWithTreeValue #1
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_MaximalPosition'
			/TreeUPID 5517
			/StartWithTreeValue #1
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_BleederCheck'
			/TreeUPID 5518
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_BleederTempCalculated'
			/TreeUPID 5519
			/Type 'BOOLEAN'
		] 
		[D
			/Name 'ErrMask_CheckStatorType'
			/TreeUPID 5520
			/Type 'BOOLEAN'
		] 
		% ERROR MASK END
		
		
		% TEMPERATURE MONITORING BEGIN
		[D
			/Name 'Temp_Sensor_Type'
			/TreeUPID 4656
			/Type 'ENUM'
			/DefValue 2			
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'None'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 1
					%/Caption 'Communication'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 2
					%/Caption 'Switch Active Low'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 3
					%/Caption 'KTY'					
					/OnSelect [A ]
				]																											   	   		   		
			] 	   		   		   							
		] 
		[D
			/Name 'TempSens_WarnTime'
			/TreeUPID 4601
			/Type 'DOUBLE'
		] 
		[D
			/Name 'TempSens_ErrorTime'
			/TreeUPID 4602
			/Type 'DOUBLE'
		] 
		[D
			/Name 'Communication_Type'
			/TreeUPID 4603
			/Type 'ENUM'
			/DefValue 1			
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'None'					
					/OnSelect [A ]
				]																											   	   		   		
				[D
					/Value 1
					%/Caption 'P01'					
					/OnSelect [A ]
				]																											   	   		   		
			] 	   		   		   							
		] 
		[D
			/Name 'NrOfMotTemp_Values'
			/TreeUPID 4604
			/Type 'DOUBLE'
			/DefValue 4.0			
		] 
		[D
			/Name 'TakeCorrectionValueMask_SineOffset'
			/TreeUPID 4670
			/Type 'BOOLEAN'
			/DefValue #1
		] 
		[D
			/Name 'TakeCorrectionValueMask_CosineOffset'
			/TreeUPID 4671
			/Type 'BOOLEAN'
			/DefValue #1
		] 
		[D	
			/Name 'TakeCorrectionValueMask_CosSinRelGain'
			/TreeUPID 4672
			/Type 'BOOLEAN'
			/DefValue #1
		]
		[D 
			/Name 'TakeCorrectionValueMask_SensorDistError'
			/TreeUPID 4673
			/Type 'BOOLEAN'
			/DefValue #1
		] 		
		[D 
			/Name 'TakeCorrectionValueMask_MaximalMotorTemp'
			/TreeUPID 4674
			/Type 'BOOLEAN'
			/DefValue #1
		] 				
		[D 
			/Name 'TakeCorrectionValueMask_CommutationAngle'
			/TreeUPID 4675
			/Type 'BOOLEAN'
			/DefValue #1
		] 				
		[D
			/Name 'PhaseResistence_TempCorrection'
			/TreeUPID 4615
			/Type 'ENUM'
			/DefValue 1
			/ENumDef [A
				[D
					/Value 0
					%/Caption 'Off'					
					/OnSelect [A	]
				]																											
				[D
					/Value 1
					%/Caption 'Temperature Calculated'					
					/OnSelect [A	]
				]																											
				[D
					/Value 2
					%/Caption 'Temperature Read Out'
					/OnSelect [A  ]
				]																											
			]	
		] 
		[D
			/Name 'TempModelPar_CWinding'
			/TreeUPID 4620
			/DefValue 231.0
			/Type 'DOUBLE'
		] 
		[D
			/Name 'TempModelPar_CWOut'
			/TreeUPID 4623
			/DefValue 23.1
			/Type 'DOUBLE'
		] 
		[D
			/Name 'TempModelPar_CHousing'
			/TreeUPID 4625
			/DefValue 509.0 
			/Type 'DOUBLE'
		] 
		[D
			/Name 'TempModelPar_CMounting'
			/TreeUPID 4627
			/DefValue 1761.0 
			/Type 'DOUBLE'
		] 
		[D
			/Name 'TempModelPar_RWindingWinding'
			/TreeUPID 4621
			/DefValue 0.34
			/Type 'DOUBLE'
		] 
		[D
			/Name 'TempModelPar_RWindingWOut'
			/TreeUPID 4622
			/DefValue 0.255
			/Type 'DOUBLE'
		] 
		[D
			/Name 'TempModelPar_RWOutHousing'
			/TreeUPID 4624
			/DefValue 0.145 
			/Type 'DOUBLE'
		] 
		[D
			/Name 'TempModelPar_RHousingMounting'
			/TreeUPID 4626
			/DefValue 0.015
			/Type 'DOUBLE'
		] 
		[D
			/Name 'TempModelPar_RMountingEnvironment'
			/TreeUPID 4628
			/DefValue 0.866 
			/Type 'DOUBLE'
		] 
		[D
			/Name 'TempModelPar_EnvironmentTemp'
			/TreeUPID 4629
			/DefValue 25.0 
			/Type 'DOUBLE'
		] 
		[D
			/Name 'TempModelPar_MaxWindingTemp'
			/TreeUPID 4612
			/Type 'DOUBLE'
		] 
		
		
		% NEW I^2t TEMPERATURE MODEL
		
		[D
			/Name 'C_Winding'
			/TreeUPID 4650
			/DefValue 231.0
			/Type 'DOUBLE'
		] 
		[D
			/Name 'R_WindingOutside'
			/TreeUPID 4651
			/DefValue 0.17
			/Type 'DOUBLE'
		] 
		[D
			/Name 'Temp_WindingOutside'
			/TreeUPID 4653
			/DefValue 90.0
			/Type 'DOUBLE'
		] 
		[D
			/Name 'Warn_Temp'
			/TreeUPID 4610
			/DefValue 110.0
			/Type 'DOUBLE'
		] 
		[D
			/Name 'Error_Temp'
			/TreeUPID 4611
			/DefValue 120.0
			/Type 'DOUBLE'
		] 
		[D
			/Name 'Warn_Temp_Off'
			/TreeUPID 4682
			/Type 'DOUBLE'
		] 
		[D
			/Name 'Error_Temp_Off'
			/TreeUPID 4683
			/Type 'DOUBLE'
		] 				
		% TEMPERATURE MONITORING END
		
		% EXTENSION CABLE BEGIN		
		[D
			/Name 'Ext_Cable_Resistance'
			/CaptionKeyWord 'Ext_Cable_Resistance'
			/TreeUPID 4518
			/DefValue 0.0
			/StartWithTreeValue #1
			/Type 'DOUBLE'		
		]		
		% CABLE1 BEGIN
		[D
			/Name 'Cable1_Type'
			/TreeUPID 6230
			/DefValue 0
			/StartWithTreeValue #1   
			/Type 'ENUM'
			/OnChange [A
				[D	/Name 'CalculateCableResistance']				
			]
			/ENumDef [A
				[D
					/Value 0
					/CaptionKeyWord 'No_Cable'					
					/OnSelect [A 
						[D /Name 'Cable1_Resistivity' /Value 0.0 ] 
					]
				]																											
				[D
					/Value 2
					/Caption 'K05'					
					/ShowWithCompanyPrefix #1					
					/OnSelect [A 
						[D /Name 'Cable1_Resistivity' /Value 0.036 ] 
					]
				]																											
				[D
					/Value 3
					/Caption 'K15'					
					/ShowWithCompanyPrefix #1					
					/OnSelect [A 
						[D /Name 'Cable1_Resistivity' /Value 0.012 ] 
					]
				]																											
				[D
					/Value 6
					/Caption 'KS03'					
					/ShowWithCompanyPrefix #1					
					/OnSelect [A 
						[D /Name 'Cable1_Resistivity' /Value 0.053 ] 
					]
				]																											
				[D
					/Value 4
					/Caption 'KS05'					
					/ShowWithCompanyPrefix #1					
					/OnSelect [A 
						[D /Name 'Cable1_Resistivity' /Value 0.036 ] 
					]
				]																											
				[D
					/Value 5
					/Caption 'KS10'					
					/ShowWithCompanyPrefix #1					
					/OnSelect [A 
						[D /Name 'Cable1_Resistivity' /Value 0.018 ] 
					]
				]																											
				[D
					/Value 1
					/CaptionKeyWord 'Generic_Cable'					
					/OnSelect [A 
						%[D /Name 'Cable1_Section' /Value 0 ]
					]  
				]																											
			]				
		]	
		
		[D
			/Name 'Cable1_Section'
			/TreeUPID 6231
			/DefValue 0
			/StartWithTreeValue #1
			/Type 'ENUM'								
			/OnChange [A
				[D	/Name 'CalculateCableResistance']				
			]
			/ENumDef [A
				[D
					/Value 0
					/Caption '0.34 mm^2 / AWG 22'					
					/OnSelect [A 
						[D /Name 'Cable1_Resistivity_Gen' /Value 0.053 ] 
					]
				]																											
				[D
					/Value 1
					/Caption '0.5 mm^2 / AWG 20'					
					/OnSelect [A 
						[D /Name 'Cable1_Resistivity_Gen' /Value 0.036 ] 
					]
				]																											
				[D
					/Value 2
					/Caption '0.75 mm^2 / AWG 19'					
					/OnSelect [A 
						[D /Name 'Cable1_Resistivity_Gen' /Value 0.024 ] 
					]
				]																											
				[D
					/Value 3
					/Caption '1.0 mm^2 / AWG 18'					
					/OnSelect [A 
						[D /Name 'Cable1_Resistivity_Gen' /Value 0.018 ] 
					]
				]																											
				[D
					/Value 4
					/Caption '1.5 mm^2 / AWG 16'					
					/OnSelect [A 
						[D /Name 'Cable1_Resistivity_Gen' /Value 0.012 ] 
					]
				]																											
			]	
		]	
		
		[D
			/Name 'Cable1_Length'
			/TreeUPID 6232
			/DefValue 0.0
			/StartWithTreeValue #1
			/OnChange [A
				[D	/Name 'CalculateCableResistance']				
			]
			/Type 'DOUBLE'								
		]
		% CABLE1 END
		
		% CABLE2 BEGIN
		[D
			/Name 'Cable2_Type'
			/TreeUPID 6233
			/DefValue 0
			/StartWithTreeValue #1   		
			/Type 'ENUM'
			/OnChange [A
				[D	/Name 'CalculateCableResistance']				
			]
			/ENumDef [A
				[D
					/Value 0
					/CaptionKeyWord 'No_Cable'					
					/OnSelect [A 
						[D /Name 'Cable2_Resistivity' /Value 0.0 ] 
					]
				]																											
				[D
					/Value 2
					/Caption 'K05'					
					/ShowWithCompanyPrefix #1					
					/OnSelect [A 
						[D /Name 'Cable2_Resistivity' /Value 0.036 ] 
					]
				]																											
				[D
					/Value 3
					/Caption 'K15'					
					/ShowWithCompanyPrefix #1					
					/OnSelect [A 
						[D /Name 'Cable2_Resistivity' /Value 0.012 ] 
					]
				]																											
				[D
					/Value 6
					/Caption 'KS03'					
					/ShowWithCompanyPrefix #1					
					/OnSelect [A 
						[D /Name 'Cable2_Resistivity' /Value 0.053 ] 
					]
				]																											
				[D
					/Value 4
					/Caption 'KS05'					
					/ShowWithCompanyPrefix #1					
					/OnSelect [A 
						[D /Name 'Cable2_Resistivity' /Value 0.036 ] 
					]
				]																											
				[D
					/Value 5
					/Caption 'KS10'					
					/ShowWithCompanyPrefix #1					
					/OnSelect [A 
						[D /Name 'Cable2_Resistivity' /Value 0.018 ] 
					]
				]																											
				[D
					/Value 1
					/CaptionKeyWord 'Generic_Cable'					
					/OnSelect [A 
						%[D /Name 'Cable2_Section' /Value 0 ]
					]  
				]																											
			]				
		]	
		[D
			/Name 'Cable2_Section'
			/TreeUPID 6234
			/DefValue 0
			/StartWithTreeValue #1
			/Type 'ENUM'								
			/OnChange [A
				[D	/Name 'CalculateCableResistance']				
			]
			/ENumDef [A
				[D
					/Value 0
					/Caption '0.34 mm^2 / AWG 22'					
					/OnSelect [A 
						[D /Name 'Cable2_Resistivity_Gen' /Value 0.053 ] 
					]
				]																											
				[D
					/Value 1
					/Caption '0.5 mm^2 / AWG 20'					
					/OnSelect [A 
						[D /Name 'Cable2_Resistivity_Gen' /Value 0.036 ] 
					]
				]																											
				[D
					/Value 2
					/Caption '0.75 mm^2 / AWG 19'					
					/OnSelect [A 
						[D /Name 'Cable2_Resistivity_Gen' /Value 0.024 ] 
					]
				]																											
				[D
					/Value 3
					/Caption '1.0 mm^2 / AWG 18'					
					/OnSelect [A 
						[D /Name 'Cable2_Resistivity_Gen' /Value 0.018 ] 
					]
				]																											
				[D
					/Value 4
					/Caption '1.5 mm^2 / AWG 16'					
					/OnSelect [A 
						[D /Name 'Cable2_Resistivity_Gen' /Value 0.012 ] 
					]
				]																											
			]	
		]	
		[D
			/Name 'Cable2_Length'
			/TreeUPID 6235
			/DefValue 0.0
			/StartWithTreeValue #1
			/OnChange [A
				[D	/Name 'CalculateCableResistance']				
			]
			/Type 'DOUBLE'								
		]
		% CABLE2 END
		% only need for SSC motors
		[D
			/Name 'BearingType'
			/CaptionKeyWord 'Bearing'
			/TreeUPID 6242
			/DefValue 2
			/StartWithTreeValue #1
			/OnChange [A
				[D	/Name 'CalculateMotorProperty']				
				%[D	/Name 'Module_BuildActuatorName']				      			
				[D /Name 'CalculateFFValues' ]
				[D /Name 'CalculateStrokeRange' ]				
			]
			/Type 'ENUM'								
			/ENumDef [A
				[D
					/Value 0
					/Caption 'None'					
					/OnSelect [A 
					    %[D /Name 'HomeConf_SliderHomePosition' /Value 0.01 ]
						[D /Name 'BearingLength' /Value 0.0 ] 
						[D /Name 'BearingMass' /Value 0.0 ] 
					]
				]																											
				[D
					/Value 1
					/Caption 'Generic'					
					/OnSelect [A 
					    %[D /Name 'HomeConf_SliderHomePosition' /Value 0.01 ]
						%[D /Name 'BearingLength' /Value 0.0 ] 
						%[D /Name 'BearingMass' /Value 0.0 ] 
					]
				]																											
				[D
					/Value 2
					/Caption 'PB01-48x25-x-SS (Stainless Steel)'					
					/OnSelect [A 
					    %[D /Name 'HomeConf_SliderHomePosition' /Value 0.0125 ]
						[D /Name 'BearingLength' /Value 0.025 ] 
						[D /Name 'BearingMass' /Value 0.4 ] 
					]
				]																											
				[D
					/Value 3
					/Caption 'PB02-48x25-x-WD (Wash Down)'					
					/OnSelect [A 
					    %[D /Name 'HomeConf_SliderHomePosition' /Value 0.0125 ]
						[D /Name 'BearingLength' /Value 0.025 ] 
						[D /Name 'BearingMass' /Value 0.0825 ] 
					]
				]																											
			]	
		]	
		[D
			/Name 'BearingMass'
			/CaptionKeyWord 'Bearing_Mass'
			/TreeUPID 6244
			/MinValue 0.0
			/MaxValue 1.0
			/DefValue 0.0
			/StartWithTreeValue #1
			/OnChange [A
				[D	/Name 'CalculateMotorProperty']				
				%[D	/Name 'Module_BuildActuatorName']				      			
				[D /Name 'CalculateFFValues' ]
				[D /Name 'CalculateStrokeRange' ]				
			]
			/Type 'DOUBLE'								
		]
		[D
			/Name 'BearingLength'
			/CaptionKeyWord 'Bearing_Length'
			/MinValue 0.0
			/MaxValue 0.05
			/TreeUPID 6243
			/DefValue 0.0
			/StartWithTreeValue #1
			/OnChange [A
				[D	/Name 'CalculateMotorProperty']				
				%[D	/Name 'Module_BuildActuatorName']				      			
				[D /Name 'CalculateFFValues' ]
				[D /Name 'CalculateStrokeRange' ]				
			]
			/Type 'DOUBLE'								
		]
	]	
]   
